Module | Ramaze::Helper::HttpDigest
In: | lib/ramaze/helper/httpdigest.rb

Authorization using HTTP Digest.

For custom authorization failure handling add an {httpdigest_failure} method in your controller.

### Methods

httpdigest httpdigest_failure httpdigest_failure_internal httpdigest_http_authorization httpdigest_logout httpdigest_lookup httpdigest_uuid

### Constants

SESSION_NONCE | = | 'httpdigest_authentication_nonce'
SESSION_OPAQUE | = | 'httpdigest_authentication_opaque'
DIGEST_HEADER | = | %|Digest realm="%s", qop="auth,auth-int", nonce="%s", opaque="%s"|

### Public Instance methods

httpdigest(uid, realm, &block)
httpdigest_failure()
httpdigest_failure_internal(uid,realm)
httpdigest_http_authorization(uid, realm)
httpdigest_logout()

Delete the nonce and opaque from session to log out.

httpdigest_lookup(username, realm) {|username| ...}
httpdigest_uuid()

[Validate]